# Reference Documentation

## Protocols

-   [FlexibleDecoder](protocols/FlexibleDecoder/)

## Structs

-   [ApolloCLI](structs/ApolloCLI/)
-   [ApolloCodegenOptions](structs/ApolloCodegenOptions/)
-   [ApolloSchemaDownloader](structs/ApolloSchemaDownloader/)
-   [ApolloSchemaOptions](structs/ApolloSchemaOptions/)
-   [Basher](structs/Basher/)
-   [CodegenLogger](structs/CodegenLogger/)
-   [EnumGenerator.SanitizedEnumValue](structs/EnumGenerator.SanitizedEnumValue/)
-   [FileFinder](structs/FileFinder/)
-   [InputObjectGenerator.SanitizedInputObject](structs/InputObjectGenerator.SanitizedInputObject/)
-   [InterfaceEnumGenerator.SanitizedInterfaceObject](structs/InterfaceEnumGenerator.SanitizedInterfaceObject/)
-   [SanitizedInputObject.SanitizedInputObjectField](structs/SanitizedInputObject.SanitizedInputObjectField/)
-   [SanitizedInterfaceObject.SanitizedCase](structs/SanitizedInterfaceObject.SanitizedCase/)
-   [SanitizedUnionObject.SanitizedCase](structs/SanitizedUnionObject.SanitizedCase/)
-   [UnionEnumGenerator.SanitizedUnionObject](structs/UnionEnumGenerator.SanitizedUnionObject/)

## Classes

-   [ApolloCodegen](classes/ApolloCodegen/)
-   [CodeGenerator](classes/CodeGenerator/)
-   [EnumGenerator](classes/EnumGenerator/)
-   [InputObjectGenerator](classes/InputObjectGenerator/)
-   [InterfaceEnumGenerator](classes/InterfaceEnumGenerator/)
-   [UnionEnumGenerator](classes/UnionEnumGenerator/)

## Enums

-   [ApolloCodegen.CodegenError](enums/ApolloCodegen.CodegenError/)
-   [ApolloCodegenOptions.AccessModifier](enums/ApolloCodegenOptions.AccessModifier/)
-   [ApolloCodegenOptions.CodeGenerationEngine](enums/ApolloCodegenOptions.CodeGenerationEngine/)
-   [ApolloCodegenOptions.CustomScalarFormat](enums/ApolloCodegenOptions.CustomScalarFormat/)
-   [ApolloCodegenOptions.OutputFormat](enums/ApolloCodegenOptions.OutputFormat/)
-   [ApolloSchemaOptions.SchemaFileType](enums/ApolloSchemaOptions.SchemaFileType/)
-   [ApolloURLError](enums/ApolloURLError/)
-   [Basher.BashError](enums/Basher.BashError/)
-   [CodegenLogger.LogLevel](enums/CodegenLogger.LogLevel/)
-   [EnumGenerator.EnumContextKey](enums/EnumGenerator.EnumContextKey/)
-   [EnumGenerator.EnumGenerationError](enums/EnumGenerator.EnumGenerationError/)
-   [InputObjectGenerator.InputObjectEnvironmentKey](enums/InputObjectGenerator.InputObjectEnvironmentKey/)
-   [InterfaceEnumGenerator.InterfaceEnumContextKey](enums/InterfaceEnumGenerator.InterfaceEnumContextKey/)
-   [JSONValue](enums/JSONValue/)
-   [JSONValue.JSONValueError](enums/JSONValue.JSONValueError/)
-   [UnionEnumGenerator.InterfaceEnumContextKey](enums/UnionEnumGenerator.InterfaceEnumContextKey/)

## Extensions

-   [ApolloCodegenOptions](extensions/ApolloCodegenOptions/)
-   [ApolloExtension](extensions/ApolloExtension/)
-   [ApolloSchemaOptions](extensions/ApolloSchemaOptions/)
-   [Decodable](extensions/Decodable/)
-   [FileHandle](extensions/FileHandle/)

## Typealiases

-   [JSONDecoder.Input](typealiases/JSONDecoder.Input/)
-   [PropertyListDecoder.Input](typealiases/PropertyListDecoder.Input/)

This file was generated by [SourceDocs](https://github.com/eneko/SourceDocs)